#!/usr/bin/perl -wT
#
# The contents of this file are subject to the Mozilla Public
# License Version 1.1 (the "License"); you may not use this file
# except in compliance with the License. You may obtain a copy of
# the License at http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS
# IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
# implied. See the License for the specific language governing
# rights and limitations under the License.
#
# The Original Code is the Bugzilla Bug Tracking System.
#
# The Initial Developer of the Original Code is Netscape Communications
# Corporation. Portions created by Netscape are
# Copyright (C) 1998 Netscape Communications Corporation. All
# Rights Reserved.
#
# Description: XML-RPC Interface for Bugzilla 
#
# Contributed by David Lawrence <dkl@redhat.com>
#

use lib '.';
use strict;

require 'CGI.pl';
require 'globals.pl';

use Bugzilla::RPC;

my $rpc_request = "";
my $logfile = "data/xmlrpc.log";
my $debug = 1;

print "Content-type: text/xml\n\n";

if ($::cgi->request_method() eq 'POST' && $::cgi->content_type() eq 'text/xml') {
    $rpc_request = url_decode($::cgi->query_string());
} else {
    die "Not an XMLRPC request!";
}

my $rpc_responce = handle($rpc_request);
print $rpc_responce . "\n";

if ($debug) {
    open(OUT, ">>$logfile") || die "Could not open logfile: $!\n";
    print OUT "INPUT:\n$rpc_request\n";
    print OUT "OUTPUT:\n$rpc_responce\n"; 
    close(OUT) || die "Could not close logfile: $!\n";
}

